Attribute VB_Name = "z_UIRibbon"
Option Explicit

Public Sub OnRibbonBtn(iControl As IRibbonControl)
  Select Case iControl.ID
  Case "OpenGarant":       Call RunOpenGarant
  Case "DeleteDocument":   Call RunDeleteLaw
  Case "MergeDocument":    Call RunMergeDocument
  Case "DeleteLinks":      Call RunDeleteLinks
  Case "CreateDummy":      Call RunCreateDummy
  Case "RenameFile":       Call RunRename
  
  Case "NextDoc":          Call RunFindNextDoc
  Case "Hyperlinks":       Call RunHyperlinks
  Case "Statistic":        Call RunStatistic
  Case "CreateView":       Call RunCreateView
  Case "PrepareOutput":    Call RunExportActive
  
  Case "UpdateIndex":      Call RunUpdateFirstLink
  Case "Unstuck":          Call RunUnstuck
  Case "Help":             Call RunHelp
  End Select
End Sub
